> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/videos/{video_id}/content

> 완료된 비디오 생성 작업의 바이너리 콘텐츠를 다운로드합니다.

このエンドポイントを使用して、タスクの完了後に最終的なビデオ アセットまたはコンテンツ ストリームを取得します。

* `Authorization: Bearer {API_KEY}`で認証する
* パスパラメータは依然として `video_id` です
* ステータスエンドポイントが完了を確認した後にのみこれを呼び出してください。
* 多くの場合、大規模なダウンロードは、バックエンドによってプロキシ処理または署名された方が適切です。


## OpenAPI

````yaml GET /v1/videos/{video_id}/content
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://maas.apigo.ai
security:
  - bearerAuth: []
paths:
  /v1/videos/{video_id}/content:
    get:
      summary: OpenAI video content
      description: Downloads the binary content of a completed video generation task.
      parameters:
        - name: video_id
          in: path
          description: Video ID
          required: true
          schema:
            type: string
            example: video_123456789
      responses:
        '200':
          description: Successful video content response
          content:
            video/mp4:
              schema:
                type: string
                format: binary
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````